## The Geometric Distribution

## Usage

    dgeom(x, prob)
    pgeom(q, prob)
    qgeom(p, prob)
    rgeom(n, prob)

## Arguments

`x,q` | vector of quantiles representing the number of failures in a sequence of Bernoulli trials before success occurs.
`p` | vector of probabilities.
`n` | number of observations to generate.
`prob` | probability of success in each trial.

## Description

These functions provide information about the geometric distribution with parameter `prob`. `dgeom` gives the density, `pgeom` gives the distribution function, `qgeom` gives the quantile function, and `rgeom` generates random deviates.

## Details

The geometric distribution with `prob` = p has density

p(x) = p (1-p)^x

for x = 0, 1, 2, ...

If an element of `x` is not integer, the result of `pgeom` is zero, with a warning.

## See Also

`dnbinom` for the negative binomial which generalizes the geometric distribution.

## Examples

    pp <- sort(c((1:9)/10, 1 - .2^(2:8)))
    print(qg <- qgeom(pp, prob = .2))
    for(i in 1:2) print(qg <- qgeom(pgeom(qg, prob=.2), prob =.2))
    Ni <- rgeom(20, prob = 1/4); table(factor(Ni, 0:max(Ni)))

[Package Contents]